/*
 * Converter.java     1.0     2001/12/27
 *
 * Copyright (c) 2001 Andreas Dangel <a.dangel@gmx.de>
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package converter;

import libraries.*;

public class Converter {

    public static void main(String[] args) {
        String inFile = null;
        String outFile = null;

        if (args.length == 2) {
            inFile = args[0];
            outFile = args[1];
        } else {
	    String help;
	    help = "Usage: java converter.Converter inFile.lek outFile.xml\n"
	         + "                                   |         |\n"
		 + "                                   |         -> 2nd arg\n"
	         + "                                   -> 1st arg";
	    System.err.println(help);
            System.exit(1);
        }

        StringList sl = new StringList();
        sl.loadFromFile(inFile);

        Vocabulary vocabulary = new Vocabulary();
        vocabulary.setTitle(inFile);
        Lesson lesson = null;
        Vocable vocable = null;

        boolean inLesson = false;

        for (int i = 0; i < sl.size(); i++) {
            String line = sl.get(i);
            if (!inLesson) {
                inLesson = true;
                lesson = new Lesson();
                lesson.setTitle(line);
            } else {
                if (line.equals("")) {
                    inLesson = false;
                    vocabulary.add(lesson);
                    lesson = null;
                } else {
                    int index;
                    String temp;
                    vocable = new Vocable();
                    // Vokabelzeile
                    /* bis zum ersten ^ -> word */
                    index = line.indexOf("^");
                    temp = line.substring(0, index);
                    vocable.setWord(temp);
                    line = line.substring(index + 1);

                    while (line.indexOf("^") > -1) {
                        index = line.indexOf("^");
                        temp = line.substring(0, index);
                        vocable.getTranslations().add(temp);
                        line = line.substring(index + 1);
                    }

                    vocable.setRemark(line);
                    lesson.add(vocable);
                    vocable = null;
                }
            }
        }

    if (lesson != null) {
        vocabulary.add(lesson);
    }

    /* in datei speichern */
    vocabulary.saveToFile(outFile);

    }
}
