/*
 * EditorActionListener.java     1.0     2001/12/27
 *
 * Copyright (c) 2001 Andreas Dangel <a.dangel@gmx.de>
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package editor;

import java.awt.event.*;
import javax.swing.*;

public class EditorActionListener implements ActionListener {
    public void actionPerformed(ActionEvent e) {
        String cmd = e.getActionCommand();

        if (cmd.equals("Save")) {
            Editor.vocabularyTree.saveToFile();
        } else if (cmd.equals("Quit")) {
            Editor.exit();
        } else if (cmd.equals("repaint")) {
            Editor.vocabularyTree.repaintModel();
        } else if (cmd.equals("editSelection")) {
            Editor.vocabularyTree.editSelection();
        } else if (cmd.equals("addLesson")) {
            Editor.vocabularyTree.addLesson();
        } else if (cmd.equals("addVocable")) {
            Editor.vocabularyTree.addVocable();
        } else if (cmd.equals("removeSelection")) {
            Editor.vocabularyTree.removeSelection();
        } else if (cmd.equals("move up")) {
            Editor.vocabularyTree.moveSelectionUp();
        } else if (cmd.equals("move down")) {
            Editor.vocabularyTree.moveSelectionDown();
        } else if (cmd.equals("move left")) {
            Editor.vocabularyTree.moveSelectionLeft();
        } else if (cmd.equals("move right")) {
            Editor.vocabularyTree.moveSelectionRight();
        } else {
           System.out.println(cmd);
        }
    }
}
