/*
 * EditorEditLessonDialog.java     1.0     2001/12/27
 *
 * Copyright (c) 2001 Andreas Dangel <a.dangel@gmx.de>
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package editor;

import libraries.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class EditorEditLessonDialog extends JDialog {

    Lesson lesson;

    private JPanel contentPane;

    private JPanel buttonsPanel;
    private JButton cancelButton;
    private JButton okButton;

    private JPanel     titleOfLessonPanel;
    private JLabel     titleOfLessonLabel;
    JTextField titleOfLessonTextField;

    private ActionListener actionListener;


    public EditorEditLessonDialog(Lesson les) {
        super(Editor.editorFrame, "edit Lesson");

        Editor.editorFrame.setEnabled(false);

        lesson = les;
        actionListener = new EditorEditLessonDialogActionListener();

        buttonsPanel = new JPanel();
        buttonsPanel.setLayout(new BoxLayout(buttonsPanel, BoxLayout.X_AXIS));

        cancelButton = new JButton("cancel");
        cancelButton.addActionListener(actionListener);
        okButton = new JButton("OK");
        okButton.addActionListener(actionListener);

        buttonsPanel.add(Box.createHorizontalGlue());
        buttonsPanel.add(cancelButton);
        buttonsPanel.add(okButton);

        titleOfLessonLabel = new JLabel("Title:");
        titleOfLessonTextField = new JTextField(lesson.getTitle(), 20);
        titleOfLessonPanel = new JPanel();
        titleOfLessonPanel.add(titleOfLessonLabel);
        titleOfLessonPanel.add(titleOfLessonTextField);

        contentPane = new JPanel();
        contentPane.setLayout(new BorderLayout());
        contentPane.add(titleOfLessonPanel, "Center");
        contentPane.add(buttonsPanel, "South");

        setContentPane(contentPane);

        pack();
        show();
    }
}
