/*
 * EditorEditLessonDialogActionListener.java     1.0     2001/12/27
 *
 * Copyright (c) 2001 Andreas Dangel <a.dangel@gmx.de>
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package editor;

import libraries.*;
import java.awt.event.*;
import javax.swing.*;

public class EditorEditLessonDialogActionListener implements ActionListener {

    public void actionPerformed(ActionEvent e) {
        String cmd = e.getActionCommand();
        EditorEditLessonDialog dialog = Editor.vocabularyTree.editLessonDialog;

        if (cmd.equals("cancel")) {
            dialog.dispose();
            dialog = null;
            Editor.vocabularyTree.editLessonDialog = null;

            Editor.editorFrame.setEnabled(true);
        } else if (cmd.equals("OK")) {
            String newTitleOfLesson = dialog.titleOfLessonTextField.getText();
            Lesson selection = dialog.lesson;
            if (! selection.getTitle().equals(newTitleOfLesson)) {
                selection.setTitle(newTitleOfLesson);
                Editor.vocabularyTree.treeDidChange();
                Editor.setSaved(false);
            }

            dialog.dispose();
            dialog = null;
            Editor.vocabularyTree.editLessonDialog = null;

            Editor.editorFrame.setEnabled(true);
        }

    }

}
