/*
 * EditorEditVocableDialogActionListener.java     1.0     2001/12/27
 *
 * Copyright (c) 2001 Andreas Dangel <a.dangel@gmx.de>
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package editor;

import libraries.*;
import java.awt.event.*;
import javax.swing.*;

public class EditorEditVocableDialogActionListener implements ActionListener {

    public void actionPerformed(ActionEvent e) {
        String cmd = e.getActionCommand();
        EditorEditVocableDialog dialog = Editor.vocabularyTree.editVocableDialog;

        if (cmd.equals("cancel")) {
            dialog.dispose();
            dialog = null;
            Editor.vocabularyTree.editVocableDialog = null;

            Editor.editorFrame.setEnabled(true);
        } else if (cmd.equals("OK")) {
            dialog.vocable.setWord(dialog.wordTextField.getText());
            dialog.vocable.getTranslations().setText(dialog.translationsTextArea.getText());
            dialog.vocable.setRemark(dialog.remarkTextField.getText());
            dialog.vocable.setType(dialog.typeComboBox.getSelectedIndex());
            dialog.vocable.setTag(dialog.tagTextField.getText());

            Editor.vocabularyTree.treeDidChange();
            Editor.setSaved(false);

            dialog.dispose();
            dialog = null;
            Editor.vocabularyTree.editVocableDialog = null;

            Editor.editorFrame.setEnabled(true);
        }

    }

}
