/*
 * EditorEditVocabularyDialogActionListener.java     1.0     2001/12/27
 *
 * Copyright (c) 2001 Andreas Dangel <a.dangel@gmx.de>
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package editor;

import libraries.*;
import java.awt.event.*;
import javax.swing.*;

public class EditorEditVocabularyDialogActionListener implements ActionListener {

    public void actionPerformed(ActionEvent e) {
        String cmd = e.getActionCommand();
        EditorEditVocabularyDialog dialog = Editor.vocabularyTree.editVocabularyDialog;

        if (cmd.equals("cancel")) {
            dialog.dispose();
            dialog = null;
            Editor.vocabularyTree.editVocabularyDialog = null;

            Editor.editorFrame.setEnabled(true);
        } else if (cmd.equals("OK")) {
            dialog.vocabulary.setTitle(dialog.titleOfVocabularyTextField.getText());
            dialog.vocabulary.setDescription(dialog.descriptionTextField.getText());
            dialog.vocabulary.setDate(dialog.dateTextField.getText());
            dialog.vocabulary.setAuthor(dialog.authorTextField.getText());

            dialog.dispose();
            dialog = null;
            Editor.vocabularyTree.editVocabularyDialog = null;

            Editor.editorFrame.setEnabled(true);
            Editor.vocabularyTree.treeDidChange();
            Editor.setSaved(false);
        }
    }

}