/*
 * Trainer.java     1.0     2001/12/27
 *
 * Copyright (c) 2001 Andreas Dangel <a.dangel@gmx.de>
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package trainer;

import libraries.*;
import javax.swing.*;

public class Trainer {

    public static TrainerFrame trainerFrame;
    public static TrainerFrameActionListener trainerFrameActionListener;
    public static TrainerFrameWindowListener trainerFrameWindowListener;

    public static void main(String[] args) {
	String filename = "", lesson = "";

        if (args.length == 2) {
	    filename = args[0];
	    lesson = args[1];
	} else {
	    String help;
	    help = "Usage: java trainer.Trainer file.xml \"Title of Lesson\"\n"
	         + "                              |           |\n"
		 + "                              |           -> 2nd arg\n"
		 + "                              -> 1st arg";
	    System.err.println(help);
	    System.exit(1);
	}


        trainerFrameActionListener = new TrainerFrameActionListener();
        trainerFrameWindowListener = new TrainerFrameWindowListener();

        trainerFrame = new TrainerFrame(filename, lesson);
        trainerFrame.show();
    }

    public static void exit() {
        System.exit(0);
    }
}
